package com.hwrj.cloud.portal.service;

import com.hwrj.cloud.portal.domain.UmsCompanyInfoDto;
import com.hwrj.cloud.portal.model.UmsCompanyFile;
import com.hwrj.cloud.portal.model.UmsCompanyInfo;
import com.hwrj.cloud.portal.model.UmsCompanyShop;

import java.util.List;

public interface UmsCompanyInfoService {

    /**
     * 供应商查询
     * @return
     */
    public List<UmsCompanyInfo> searchCompanyInfo(String key);


    /**
     * 分页获取供应商信息
     * @param key
     * @param pageNo
     * @param pageSize
     * @return
     */
    public List<UmsCompanyInfoDto> searchCompanyInfo(String key,Integer pageNo,Integer pageSize);

    /**
     * 供应商详情
     * @param id
     * @return
     */
    public UmsCompanyInfoDto detailInfo(Long id);

    /**
     * 根据供应商
     * @return
     */
    public List<UmsCompanyShop> getCompanyShopByCompanyId(Long compId);

    /**
     *
     * @return
     */
    public List<UmsCompanyFile> getCompanyFileByCompanyId(Long compId);
}
